PATCH
/api/public/v1/businesses/{businessId}

Update a business

Update a business’s core fields (display name, address, accent color, etc.).

Path Parameters

NameTypeRequiredDescription
businessIdstring
Required
Business ID.

Request Body

PropertyTypeDescription
displayNamestringDisplay name.
taglinestringTagline.
subdomainstringFree subdomain.
addressLine1stringAddress line 1.
addressCitystringCity.
addressStatestringState / region.
addressCountrystringCountry.
addressPostalCodestringPostal code.
addressIsPublicbooleanShow address publicly.
accentColorstringPortal accent color.
PATCHExample request
curl
curl -X PATCH "https://www.pxb.app/api/public/v1/businesses/{businessId}" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "displayName": "Acme Corp",
    "accentColor": "violet"
  }'
200Example response
json
{
  "message": "Business updated successfully!",
  "content": {
    "business": {
      "id": "biz_abc123"
    }
  }
}